#include <stdio.h>    // まずはインクルードしておく
#include "dxlib2.h"   // Dynamixel Windowsライブラリのヘッダ

void main (void) {
  // デバイスID (COMポートごとに一意の値)
  DXDEVICEID  dev;
  // エラーコード (ライブラリ使用時のエラーコード取得用)
  TDxErrorCode  err;

  // 指定されたパラメータでCOMポートを開く
  // 成功すれば0以外のユニークな値(デバイスID)が返される
  // 以後このデバイスIDを使用する
  dev = DX_OpenPort ("\\\\.\\COM11", 57143);

  // devが0でなければポートを開くのに成功
  if (dev) {
    printf("Open success\n");

    // ----ここにやりたい事を書く------------

    // ID=1のデバイスがあるかどうか確認
    if (DX_Ping (dev, 1, 100, &err)) printf ("Found ID=1\n");
    else                             printf ("Not found ID=1\n");

    // ID=2のデバイスがあるかどうか確認
    if (DX_Ping (dev, 2, 100, &err)) printf ("Found ID=2\n");
    else                             printf ("Not found ID=2\n");

    // --------------------------------------

    // 使い終わったポートは閉じる
    DX_ClosePort(dev);

  } else {
    printf("Open error\n");
  }
  printf( "Fin\n");

  getchar();  // プログラムがいきなり終了しないよう、キー入力待ちをさせる
}
